Page MenuHomePhabricator

Enable <mapframe> on the English Wikipedia
Closed, ResolvedPublic

Description

Per community consensus, <mapframe> should be enabled on the English Wikipedia.

Event Timeline

Restricted Application added a project: Discovery. · View Herald TranscriptSep 6 2017, 12:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
TheDJ added a subscriber: TheDJ.Sep 6 2017, 1:23 PM
Deskana added a subscriber: Deskana.Sep 6 2017, 3:39 PM
Abbe98 added a subscriber: Abbe98.Sep 6 2017, 8:13 PM
Abbe98 removed a subscriber: Abbe98.
Abbe98 added a subscriber: Abbe98.
Evad37 added a subscriber: Evad37.Sep 7 2017, 5:27 AM

Cross posted from enWiki technical VP:
This is a totally reasonable thing to request as better maps on Wikipedia could improve the user experience and would make a lot of people happy. Previously, we had internally decided on a process to enable mapframe for new Wikipedia projects by request on a batch basis every 6 months. However, the future of maps support from the Wikimedia Foundation is uncertain and at this point I think all new communities considering adding maps should be made aware of it.

The Reading product team has been working to try to figure out how to support the existing maps implementation, and our initial analysis is that maps requires significantly more resources than were assigned to the project at inception. We are currently working on establishing if we can prioritize resources to get maps into a stable, healthy state and will update folks on a plan as soon as we have a draft for comment. It has taken longer than we would have liked to get more clarity, due to organizational changes, but I think we are making progress and should have a clearer answer by the end of September, 2017.

The current situation is that over the last several months the maps project has relied on the goodwill of individual engineers at the Wikimedia Foundation to keep it up and running in addition to individual volunteers contributing support. We also have a contractor, working on a cartographic re-skin as well as dealing with some other maps issues like disputed borders.

I am personally very nervous about having maps on English Wikipedia because we don’t know what kind of support we will be able to offer in the future and I want to minimize the amount of editor effort going into a feature that is at risk. We are frankly concerned that the resources required to maintain and make necessary upgrades to the map service are more than we can commit to.
We’d like to propose that we revisit this question in October when we have more clarity over the path forward for maps. Thoughts? Jkatz (WMF) (talk) 00:23, 7 September 2017 (UTC)

  • @Jkatz (WMF): Thank you for the background information on the development work. I think that there are two different issues here that can be handled in two separate stages. First, do we want to have this functionality available on enwp? That is what this discussion will hopefully decide. Second, is WMF ready to support the deployment? That is something that the WMF has to decide, and if the answer to the first question is 'yes' then the timing of the deployment is up to the WMF; if it is 'no' then the WMF is off the hook. ;-) I think that delaying this until next month doesn't help with either question, so it's still worth asking & answering the first question now. Thanks. Mike Peel (talk) 01:06, 7 September 2017 (UTC)
    • Mike Peel: I think that is a totally reasonable approach. Am I correctly interpreting your intent when you say "if it is 'no' then the WMF is off the hook." to mean that if the Wikimedia Foundation is not ready to support the deployment, we will have a discussion and that you wouldn't deploy until we were? This interpretation seems like a great way to break down and approach this problem (thank you!). If, instead you mean you would deploy without our support, it makes me very uncomfortable, as it would mean deploying map infrastructure we are responsible for supporting and maintaining at a time when we are suggesting we might not be able to support and maintain it. Can you confirm that I am reading your intent correctly? Thanks. Jkatz (WMF) (talk) 03:18, 7 September 2017 (UTC)
      • Jkatz (WMF): My understanding was that someone at the WMF would have to flip the switch to deploy this. Even if that's not the case, I don't think it makes sense to deploy it until the WMF is ready to support and maintain it. So let's answer the first question here (do we want it here), and then we can move over to phabricator and the WMF/devs can determine when to deploy it. Thanks. Mike Peel (talk) 12:15, 7 September 2017 (UTC)
        • Mike Peel: Makes perfect sense. Thanks for clarifying! I'll probably add my note with our concerns to the phab ticket too, just so it's in the relevant places. Jkatz (WMF) (talk) 18:12, 7 September 2017 (UTC)
JJMC89 renamed this task from Enabling <mapframe> on the English Wikipedia to Enable <mapframe> on the English Wikipedia.Oct 5 2017, 5:11 AM
JJMC89 updated the task description. (Show Details)
JJMC89 added a subscriber: JJMC89.

Task updated with the community consensus

Zache added a subscriber: Zache.Oct 5 2017, 5:48 AM

Cross post from enwiki discussion:

Hello. We’ve been discussing this over the past weeks and are sharing an update as promised last week. Post edit - just wanted to make it clear! First of all, thank you for this RFC - we appreciate it. We acknowledge the decision and are working on a plan to enable map support on English Wikipedia.
As mentioned above, we thought we would have an answer about long-term maintenance by now, but it turns out we can only provide a partial answer at this time.
First, we’re committed to maintenance of the map service consumption experience as is.
Currently, our work continues to be on a best-effort basis—a maintenance effort from a handful of employees and volunteers.
We understand the desire to add <mapframe> functionality on English Wikipedia, and are encouraged by the support here - thank you for expressing the desired direction. <mapframe> seems like an opportunity to make the encyclopedia experience better. However, we believe a deployment in the near term would entail resourcing risks, potentially compounding the risk associated with the holiday deployment freeze and major online fundraising efforts. Consequently, we aren't activating this right now.
However, we are exploring alternatives concerning both the maps consumption experience and maps contributions (editing) to identify a more sustainable path forward. More specifically, we are looking to see if there are other organizations or efforts with whom a maps partnership would make sense and would align with our tightly held values around open source, open knowledge, privacy, and neutrality.
It will take some time to explore these alternatives, and we plan to provide monthly updates along the way. We know this has been a very long process with more uncertainty than anyone would like. We are really trying to do our due diligence before making further resourcing or product decisions that will have multi-year consequences. --ABaso (WMF) (talk) 22:22, 6 October 2017 (UTC)

Dereckson triaged this task as Low priority.Oct 16 2017, 9:25 AM
Dereckson moved this task from Backlog to Blocked on development on the Wikimedia-Site-requests board.
TheDJ changed the task status from Open to Stalled.Oct 16 2017, 12:13 PM
TheDJ added a comment.Nov 14 2017, 1:05 PM

Ehm, on this front.. What if english wikipedia were to switch their coordinate links to maplink as some other wikis already have? Would that be similarly problematic (since that functionality is already enabled on all wikis)...

debt added a comment.Nov 14 2017, 8:04 PM

Ehm, on this front.. What if english wikipedia were to switch their coordinate links to maplink as some other wikis already have? Would that be similarly problematic (since that functionality is already enabled on all wikis)...

The maplink template is documented here: https://en.wikipedia.org/wiki/Template:Maplink :)

we plan to provide monthly updates along the way

Where can we see these updates, please?

@Pigsonthewing thanks for the ping - deferring to @CKoerner_WMF and @JKatzWMF - I think an update is pending.

@Pigsonthewing thanks for the ping - deferring to @CKoerner_WMF and @JKatzWMF - I think an update is pending.

Also adding @jmatazzoni

Thanks for your patience @Pigsonthewing. The Collaboration Team recently got the assignment to work on maps—in particular the tickets detailed in the Kartographer Improvements item that was the top vote-getter in this year's Community Wishlist—during the next few months. We are new to this area, but are now in the process of getting up to speed with the technology and features. During the coming weeks, we'll be evaluating the various tickets mentioned in the Wishlist to figure out which are most feasible and will have the biggest impact. We'll definitely want input to those plans from active maps users. If you have suggestions on the best ways to reach out to people who are interested, please leave them on my talk page.

Elitre added a subscriber: Elitre.Feb 1 2018, 10:14 AM
Catrope closed this task as Resolved.May 10 2018, 5:12 PM
Catrope claimed this task.
Catrope added a subscriber: Catrope.

This was done as part of another task a few weeks ago.